All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
NppiJpegScanDescr Struct Reference
Compression

JPEG scan descriptor. More...

`#include <nppi_compression_functions.h>`

## Data Fields

Npp8u | nComponents
| Number of components present in scan. More...
Npp8u | aComponentIdx [4]
| Frame-indexes of components. More...
Npp8u | aComponentDcHtSel [4]
| DC Huffman table selector per component. More...
Npp8u | aComponentAcHtSel [4]
| AC Huffman table selector per component. More...
const Npp8u * | apRawDcHtTable [4]

                              Pointers to DC Huffman table description in the raw format

(the same format as used in JPEG header). More...

const Npp8u * | apRawAcHtTable [4]
| See apRawDcHtTable. More...
Npp8u | nSs
| Start of spectral selection (index of first coefficient), 0-63. More...
Npp8u | nSe
| End of spectral selection (index of first coefficient), 0-63. More...
Npp8u | nAh
| Successive approximation bit position high. More...
Npp8u | nAl
| Successive approximation bit position low. More...
Npp32s | restartInterval
| Restart interval in MCUs. More...
Npp32s | length
| Length of compressed (encoded) scan data. More...

## Detailed Description

JPEG scan descriptor.

## Field Documentation

Npp8u NppiJpegScanDescr::aComponentAcHtSel[4]

AC Huffman table selector per component.

Npp8u NppiJpegScanDescr::aComponentDcHtSel[4]

DC Huffman table selector per component.

Npp8u NppiJpegScanDescr::aComponentIdx[4]

Frame-indexes of components.

These values will be used to index arrays in NppiJpegFrameDescr

const Npp8u* NppiJpegScanDescr::apRawAcHtTable[4]

See apRawDcHtTable.

const Npp8u* NppiJpegScanDescr::apRawDcHtTable[4]

                              Pointers to DC Huffman table description in the raw format

(the same format as used in JPEG header).

This array will be indexed by aComponentDcHtSel. Pointers for tables unused in scan may be set to NULL.

Npp32s NppiJpegScanDescr::length

Length of compressed (encoded) scan data.

Npp8u NppiJpegScanDescr::nAh

Successive approximation bit position high.

Npp8u NppiJpegScanDescr::nAl

Successive approximation bit position low.

Npp8u NppiJpegScanDescr::nComponents

Number of components present in scan.

Npp8u NppiJpegScanDescr::nSe

End of spectral selection (index of first coefficient), 0-63.

Npp8u NppiJpegScanDescr::nSs

Start of spectral selection (index of first coefficient), 0-63.

Npp32s NppiJpegScanDescr::restartInterval

Restart interval in MCUs.

Use 0 or -1 when none

The documentation for this struct was generated from the following file:

- C:/src/sw/rel/gpgpu/toolkit/r10.1/NPP/npp/include/nppi_compression_functions.h

Copyright © 2009-2019 NVIDIA Corporation